CREATE TABLE
        IF NOT EXISTS `#__chatbro` (
                `id` INT (11) UNSIGNED NOT NULL AUTO_INCREMENT,
                `store_id` INT (11) NOT NULL DEFAULT '0',
                `chatbro_chat_guid` CHAR(36) NOT NULL,
                `chatbro_access_token` VARCHAR(255) DEFAULT NULL,
                `chatbro_refresh_token` VARCHAR(255) DEFAULT NULL,
                `chatbro_chat_secret` VARCHAR(255) NOT NULL,
                `chatbro_chat_list` TEXT DEFAULT NULL,
                `chatbro_enable_shortcodes` TINYINT (1) NOT NULL DEFAULT 1,
                `chatbro_chat_user_profile_url` VARCHAR(255) DEFAULT NULL,
                `chatbro_enabled` TINYINT (1) NOT NULL DEFAULT 1,
                `created_at` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
                `updated_at` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
                PRIMARY KEY (`id`),
                UNIQUE KEY `unique_store_id` (`store_id`),
                UNIQUE KEY `unique_chatbro_chat_guid` (`chatbro_chat_guid`)
        ) ENGINE = InnoDB;