<?php
/**
 * @copyright   Copyright (C) Chatbro. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

defined('_JEXEC') or die();
defined('CHATBROENGINE') || die();

use ChatbroChatbroappInterfacesIcbro_user_backend as IcbroUserBackend;
use Joomla\CMS\Factory;


class ChatbroChatbroappBackendsCbro_user_backend implements IcbroUserBackend
{
  private $customer;
  private $cms;

  public function __construct($cms)
  {
    $this->cms = $cms;
  }

  function is_logged_in()
  {
    return !(Factory::getApplication()->getIdentity()->guest);
  }

  function is_admin()
  {
    return FALSE;
  }

  function avatar_url()
  {
    return "";
  }

  function profile_url()
  {
    return "";
  }

  function id()
  {
    return $this->is_logged_in() ? Factory::getApplication()->getIdentity()->id : null;
  }

  function display_name()
  {
    return $this->is_logged_in() ? Factory::getApplication()->getIdentity()->username : null;
  }

  function full_name()
  {
    return $this->is_logged_in() ? Factory::getApplication()->getIdentity()->name : null;
  }
}