<?php
/**
 * @copyright   Copyright (C) Chatbro. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

/**
 * @package     Joomla.Administrator
 * @subpackage  com_helloworld
 *
 * @copyright   Copyright (C) 2020 John Smith. All rights reserved.
 * @license     GNU General Public License version 3; see LICENSE
 */

 // No direct access to this file
defined('_JEXEC') or die('Restricted Access');

$this->document->getWebAssetManager()->useStyle('com_chatbrocomponent.chatbro_css');

$this->document->getWebAssetManager()->useScript('com_chatbrocomponent.chatbro_js_jquery');
$this->document->getWebAssetManager()->useScript('com_chatbrocomponent.chatbro_js');

?>

<h2 style="background: #f7f8fc; margin: 0; padding: 15px;"><?= Text::_('COM_CHATBRO_HEADER') ?></h2>
<?= $this->getModel()->getItem()->chatbroPanel; ?>